{% extends 'base.html' %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Details</title>
    </head>
    <body>
        {% block content %}
            <main>
                <div>
                    <h1>{{ project.name }}</h1>
                    <p>Description: {{ project.description }}</p>
                    <h2>Tasks</h2>
                    <p>
                        <a href="{% url 'create_task' %}">Create a new task</a>
                    </p>
                    {% if project.tasks.all %}
                        <table>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Assignee</th>
                                    <th>Start date</th>
                                    <th>Due date</th>
                                    <th>Is completed</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for task in project.tasks.all %}
                                    <tr>
                                        <td>{{ task.name }}</td>
                                        <td>{{ task.assignee.username }}</td>
                                        <td>{{ task.start_date }}</td>
                                        <td>{{ task.due_date }}</td>
                                        <td>
                                            {{ task.is_completed|yesno:"yes,no" }}
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        {% else %}
                            <p>This project has no tasks</p>
                        {% endif %}
                    </div>
                </main>
            {% endblock content %}
        </body>
    </html>
